org.apache.cassandra.db.index.composites

## Class CompositesIndex.IndexedEntry

- java.lang.Object
- - org.apache.cassandra.db.index.composites.CompositesIndex.IndexedEntry

Enclosing class:
  CompositesIndex

    public static class CompositesIndex.IndexedEntry
    extends java.lang.Object

### Field Summary

Fields
`java.nio.ByteBuffer` `indexedEntryCollectionKey`
`Composite` `indexedEntryPrefix`
`java.nio.ByteBuffer` `indexedKey`
`CellName` `indexEntry`
`DecoratedKey` `indexValue`
`long` `timestamp`

### Constructor Summary

Constructors
Constructor and Description
`IndexedEntry(DecoratedKey indexValue, CellName indexEntry, long timestamp, java.nio.ByteBuffer indexedKey, Composite indexedEntryPrefix)`
`IndexedEntry(DecoratedKey indexValue, CellName indexEntry, long timestamp, java.nio.ByteBuffer indexedKey, Composite indexedEntryPrefix, java.nio.ByteBuffer indexedEntryCollectionKey)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### indexValue

    public final DecoratedKey indexValue

#### indexEntry

    public final CellName indexEntry

#### timestamp

    public final long timestamp

#### indexedKey

    public final java.nio.ByteBuffer indexedKey

#### indexedEntryPrefix

    public final Composite indexedEntryPrefix

#### indexedEntryCollectionKey

    public final java.nio.ByteBuffer indexedEntryCollectionKey

### Constructor Detail

#### IndexedEntry

    public IndexedEntry(DecoratedKey indexValue,
                        CellName indexEntry,
                        long timestamp,
                        java.nio.ByteBuffer indexedKey,
                        Composite indexedEntryPrefix)

#### IndexedEntry

    public IndexedEntry(DecoratedKey indexValue,
                        CellName indexEntry,
                        long timestamp,
                        java.nio.ByteBuffer indexedKey,
                        Composite indexedEntryPrefix,
                        java.nio.ByteBuffer indexedEntryCollectionKey)